//+------------------------------------------------------------------+
//|                                                      b-clock.mq4 |
//|                                     Core time code by Nick Bilak |
//|                                              beluck[at]gmail.com |
//|                     2009 - adapted and modified by Snowski (TSD) | 
//+------------------------------------------------------------------+

#property copyright "Copyright  2005, Nick Bilak"
#property link      "http://metatrader.50webs.com/"

#property indicator_chart_window
#import "user32.dll"
   void keybd_event(int bVk,int bScan,int dwFlags,int dwExtraInfo);
#import
#define VK_SPACE  32

extern bool    ShowSeconds      = True;
extern color   TimeColor        = Gold;
extern int     Fontsize         = 11;

double s1[];
int fontsize;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

int init(){
  }
return(0);

int deinit(){
   ObjectDelete("time");
   }
return(0);
  
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+

int start()
{
	double i;
   int m,s,k;
   m=Time[0]+Period()*60-CurTime();
   i=m/60.0;
   s=m%60;
   m=(m-m%60)/60;
   
//   Comment( m + " minutes " + s + " seconds left to bar end");

   ObjectDelete("time");
       
   if(ObjectFind("time") != 0)
   {
      ObjectCreate("time", OBJ_TEXT, 0, Time[0], (Bid-8*Point));
        if(ShowSeconds)
            ObjectSetText("time","                                "+m+":"+s, fontsize, "Arial", TimeColor);
        else  
            ObjectSetText("time","                                "+m+" min", fontsize, "Arial", TimeColor);
   }
   else
      ObjectMove("time", 0, Time[0], (Bid-8*Point));
   return(0);
}

//+------------------------------------------------------------------+


